%define upstream_name	 Proc-ProcessTable
%define upstream_version 0.636

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Interface to process table information
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
# Avoid provides for private objects
%{?perl_default_filter}

%description
This module is a first crack at providing a consistent interface to
Unix (and maybe other multitasking OS's) process table information.
The impetus for this came about with my frustration at having to parse
the output of various systems' ps commands to check whether specific
processes were running on different boxes at a large mixed Unix site.
The output format of ps was different on each OS, and sometimes
changed with each new release of an OS. Also, running a ps subprocess
from within a perl or shell script and parsing the output was not a
very efficient or aesthetic way to do things.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Proc
%{perl_vendorarch}/auto/Proc
%{_mandir}/*/*


%changelog
* Tue Nov 28 2023 tv <tv> 0.636.0-2.mga10
+ Revision: 2010605
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 0.636.0-1.mga10
+ Revision: 1981012
- update to 0.636

* Tue Jun 07 2022 umeabot <umeabot> 0.634.0-3.mga9
+ Revision: 1862326
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.634.0-2.mga9
+ Revision: 1796461
- Mageia 9 Mass Rebuild

* Mon Sep 27 2021 tv <tv> 0.634.0-1.mga9
+ Revision: 1746618
- update to 0.634

* Mon Sep 20 2021 tv <tv> 0.620.0-1.mga9
+ Revision: 1746007
- update to 0.62

* Fri Sep 10 2021 tv <tv> 0.612.0-1.mga9
+ Revision: 1745014
- update to 0.612

* Sat Aug 21 2021 tv <tv> 0.611.0-1.mga9
+ Revision: 1742057
- update to 0.611

* Mon Aug 16 2021 tv <tv> 0.600.0-1.mga9
+ Revision: 1741594
- update to 0.60

* Mon May 24 2021 umeabot <umeabot> 0.590.0-5.mga9
+ Revision: 1727042
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.590.0-4.mga8
+ Revision: 1595146
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.590.0-3.mga8
+ Revision: 1529020
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.590.0-2.mga8
+ Revision: 1432961
- rebuild with perl-5.30

* Sat Jun 29 2019 shlomif <shlomif> 0.590.0-1.mga8
+ Revision: 1415621
- update to 0.59

* Fri Feb 08 2019 tv <tv> 0.560.0-1.mga7
+ Revision: 1364178
- update to 0.56

* Fri Sep 21 2018 umeabot <umeabot> 0.550.0-3.mga7
+ Revision: 1293679
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.550.0-2.mga7
+ Revision: 1249259
- Rebuild for perl 5.28

* Fri Feb 09 2018 tv <tv> 0.550.0-1.mga7
+ Revision: 1199863
- update to 0.55

* Tue Oct 03 2017 tv <tv> 0.530.0-6.mga7
+ Revision: 1166391
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.530.0-5.mga7
+ Revision: 1149113
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.530.0-4.mga7
+ Revision: 1127014
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.530.0-3.mga6
+ Revision: 1032704
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.530.0-2.mga6
+ Revision: 957891
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.530.0-1.mga6
+ Revision: 873593
- update to 0.53

* Sun Aug 23 2015 sander85 <sander85> 0.520.0-1.mga6
+ Revision: 868652
- update to 0.52

* Sun Jun 28 2015 sander85 <sander85> 0.510.0-1.mga6
+ Revision: 846932
- update to 0.51

* Fri Jun 26 2015 tv <tv> 0.500.0-8.mga6
+ Revision: 845164
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.500.0-7.mga6
+ Revision: 841130
- rebuild for perl-5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.500.0-6.mga5
+ Revision: 788935
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-5.mga5
+ Revision: 750870
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.500.0-4.mga5
+ Revision: 733346
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.500.0-3.mga5
+ Revision: 686061
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.500.0-2.mga5
+ Revision: 631606
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 0.500.0-1.mga5
+ Revision: 586516
- update to 0.50

* Sat Oct 19 2013 umeabot <umeabot> 0.480.0-2.mga4
+ Revision: 527257
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.480.0-1.mga4
+ Revision: 439806
- update to 0.48

* Wed May 29 2013 jquelin <jquelin> 0.460.0-4.mga4
+ Revision: 432288
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.460.0-3.mga4
+ Revision: 432151
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 372141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 317870
- update to 0.46

* Wed May 30 2012 jquelin <jquelin> 0.450.0-5.mga3
+ Revision: 251085
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.450.0-4.mga2
+ Revision: 104923
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.450.0-3.mga1
+ Revision: 31061
- mageia rebuild
- imported package perl-Proc-ProcessTable

